# Maintainer: TBD: This is temporary block for TDC Demo. You may proceed with this later anyway.
# You need ACK (+1) from the maintainer to be reviewed by building-blocks maintainers.

%package root-domain_HALAPI
Summary:	Tizen HAL API Sets
Requires:	%{name}-sub1-domain_HALAPI-Common
Requires:	%{name}-sub1-domain_HALAPI-Power
Requires:	%{name}-sub1-domain_HALAPI-Bluetooth
Requires:	%{name}-sub1-domain_HALAPI-Sensor
Requires:	%{name}-sub1-domain_HALAPI-Device
Requires:	%{name}-sub1-domain_HALAPI-Wifi

%description root-domain_HALAPI
__EXPAND__: domains
Tizen provides HAL API layer for Tizen porting to various devices.
HAL API packages provide their own HAL API interface such as tbm, audio, location,
bluetooth, sensor and so on. In order to use Tizen on new h/w device, please implment
the HAL backend packages according to HAL API interface provided by HAL API packages.
%files root-domain_HALAPI

######################
### Common HAL API ###
######################
%package sub1-domain_HALAPI-Common
Summary: Common HAL API
Requires: hal-api-common

%description sub1-domain_HALAPI-Common
Common HAL API supports the helper functions for all HAL API packages.
All HAL API packages must need the same operation to handle the shared library
of HAL backend. So that common HAL API provides the helper functions in order
to remove the duplicate code and reduce the code fragmentation. By using the
consistent coding style on HAL API packages, it improves the readability
and makes it easy understanding.
%files sub1-domain_HALAPI-Common

#####################
### Power HAL API ###
#####################
%package sub1-domain_HALAPI-Power
Summary: Power HAL API
Requires: hal-api-common
Requires: hal-api-power

%description sub1-domain_HALAPI-Power
Power HAL API (hal-api-power) provides the HAL C API for Tizen internal user
such as library and daemon in order to control h/w resources related to
power-management like CPU/GPU/Memory Bus and so on.  hal-api-power is used
for supporting the performance boosting, limiting the power-consumption,
thermal control and so on.
%files sub1-domain_HALAPI-Power

#########################
### Bluetooth HAL API ###
#########################
%package sub1-domain_HALAPI-Bluetooth
Summary: Bluetooth HAL API
Requires: hal-api-common
Requires: hal-api-bluetooth

%description sub1-domain_HALAPI-Bluetooth
Bluetooth HAL API (hal-api-bluetooth) provides the HAL C API for Tizen internal user
such as library and daemon in order to control bluetooth functionality related to
BR/EDR, LE and so on.
%files sub1-domain_HALAPI-Bluetooth

#####################
### Sensor HAL API ###
#####################
%package sub1-domain_HALAPI-Sensor
Summary: Sensor HAL API
Requires: hal-api-common
Requires: hal-api-sensor

%description sub1-domain_HALAPI-Sensor
Sensor HAL API (hal-api-sensor) provides the HAL C API for Tizen internal user
such as library and daemon in order to control h/w sensor. hal-api-sensor is used for
implementing sensor devices on the target device and it allows to control of each sensor
%files sub1-domain_HALAPI-Sensor

#####################
### Device HAL API ###
#####################
%package sub1-domain_HALAPI-Device
Summary: Device HAL API
Requires: hal-api-common
Requires: hal-api-device

%description sub1-domain_HALAPI-Device
Device HAL API (hal-api-device) provides the HAL C API for Tizen internal user
such as libraries and daemons in order to control various device modules including
display, battery, touchscreen, haptic, thermal, USB, led, etc.
%files sub1-domain_HALAPI-Device

####################
### Wifi HAL API ###
####################
%package sub1-domain_HALAPI-Wifi
Summary: WiFi HAL API
Requires: hal-api-common
Requires: hal-api-wifi

%description sub1-domain_HALAPI-Wifi
WiFi HAL API (hal-api-wifi) provides the HAL C API for Tizen internal user
such as library and daemon in order to control wifi functionality related to
station, p2p, softap and so on.
%files sub1-domain_HALAPI-Wifi
